Freeze [Beta]
Retrieve detailed freeze information including entity extraction for a specific freeze.
The freeze identifier to get details for
Organisation Identifier
Project Identifier
Account Identifier
Detailed freeze information with entity extraction
Detailed freeze information with entity extraction
Freeze description
Expected end timestamp
Expected start timestamp
Freeze identifier
Freeze name
Organization identifier
Project identifier
Freeze status
Error Response body
Error Response body
Error Response body
Error Response body
GET /api/freeze/details/{freeze_identifier} HTTP/1.1
Harness-Account: text
Accept: */*
{
"description": "text",
"entities": {
"environmentTypes": [
"text"
],
"environments": [
"text"
],
"organizations": [
"text"
],
"pipelines": [
"text"
],
"projects": [
"text"
],
"services": [
"text"
]
},
"expectedEndTs": 1,
"expectedStartTs": 1,
"freeze_identifier": "text",
"name": "text",
"orgIdentifier": "text",
"projectIdentifier": "text",
"status": "Enabled"
}Retrieve a paginated list of freeze information for all active freezes that overlap with the specified time range (startTime to endTime).
Organisation Identifier
Project Identifier
Start timestamp for filtering freeze recurrences (in milliseconds)
End timestamp for filtering freeze recurrences (in milliseconds)
Cursor for pagination
Maximum number of items to return
50Account Identifier
Paginated list of freeze information
Paginated response containing freeze list items
Whether this is the last page of results
Error Response body
Error Response body
Error Response body
Error Response body
GET /api/freeze/list?startTime=1&endTime=1 HTTP/1.1
Harness-Account: text
Accept: */*
{
"freezes": [
{
"expectedEndTs": 1,
"expectedStartTs": 1,
"identifier": "text",
"name": "text",
"orgIdentifier": "text",
"projectIdentifier": "text"
}
],
"last": true,
"nextRequest": {
"cursor": "text",
"limit": 1
}
}Last updated
Was this helpful?